.TH "clumembd" "8" "May 2003" "" "Red Hat Cluster Manager"
.SH "NAME"
clumembd \- Cluster Membership Daemon
.SH "DESCRIPTION"
.PP 
.B Clumembd
is responsible for determining the participatory status of all members of
the cluster.  It does so by constructing lists based on network connectivity.
.SH "HOW IT WORKS"
.PP
.B Clumembd
sends UDP packets out on either all interfaces (when broadcast mode is in use)
or the interface associated with the hostname of a given cluster member (when
multicast is in use).  Simultaneously, it listens for other packets sent
by other members of the cluster.  It uses these packets to construct an
opinion, called a
.B view
, of the cluster members that are online.  After a given number of these
packets are received from a specific member, that member is declared
.B online
within the local view.  If, after a given amount of time, no packets were
received from a specific member, that member is declared
.B offline
within the local view.
.LP
If any member is declared online or offline, it is called a
.B member transition
event.  When one of these events occurs, a member will determine if it is the
highest-numbered member online (this is an optimization).  If it is, it will
initiate a round of voting with all other members it believes to be online by
sending its view to them.  A member will only cast an affirmative vote if 
the received view matches its local view.  If all members cast an
affirmative vote, the proposed view will become the new,
.B committed
view for all members.
.LP
When a new view has been committed, clients of the membership daemon (for 
instance, cluquorumd(8)) are sent a cluster event containing the new
membership view.
.SH "SEE ALSO"
cluquorumd(8), clurmtabd(8), clusvcmgrd(8), clulockd(8)

You can find more documentation for cluster installation and administration in 
the 
.B The Red Hat Cluster Manager Installation and Administration Guide 
located on the documentation CD\-ROM or online at http://www.redhat.com.
